﻿@using System.Web.UI.WebControls;
@model Portal.Models.DCLInquiry.DCLInquiry

<script type="text/javascript">

    function initEditButtonAdd(s, e) {
        var strPickupDate = PickUpDateAdd.GetText();
        var strDateFracs = strPickupDate.split(".");
        var pickupDate = new Date(strDateFracs[2], parseInt(strDateFracs[1], 10) - 1, strDateFracs[0]);
        var today = new Date();
        btnEditAdd.SetEnabled(pickupDate >= today);
    }

    function EditAddAll(s, e) {
        btnEditAdd.SetVisible(false);
        btnSubmitDetailAdd.SetVisible(true);
        btnCancelAdd.SetVisible(true);

        $("#divgrid").show();
        $("#grlLPAdd").show();
        grlLPAdd.SetText(txtLPAdd.GetText());
        $("#txtLPAdd").hide();
    }

    function SubmitAddAll(s, e) {
        if (grlLPAdd.GetText() == "") {
            alert('Logistic Partner is mandatory and can not be empty ');
        }
        else
        {
            btnEditAdd.SetVisible(true);
            btnSubmitDetailAdd.SetVisible(false);
            btnCancelAdd.SetVisible(false);

            var deliveryNo = DeliveryNoAdd.GetText();
            $.ajax({
                type: "POST",
                url: "/DCLInquiry/UpdateDCLInquiryHeader",
                data: {
                    DeliveryNo: deliveryNo,
                    LPCode: grlLPAdd.GetText()
                },
                success: function (result) {
                    alert(result);
                    if (result == "Success Update Data") {
                        txtLPAdd.SetText(grlLPAdd.GetText());
                    }
                },
                error: function (result) {
                    alert("Error when update data");
                }
            });

            $("#divgrid").hide();
            $("#txtLPAdd").show();
        }       
    }

    function CancelAddAll(s, e) {
        btnEditAdd.SetVisible(true);
        btnSubmitDetailAdd.SetVisible(false);
        btnCancelAdd.SetVisible(false);

        $("#txtLPAdd").show();
        $("#divgrid").hide();
    }
</script>

<table border="0" style="width:100%; height:120px; padding-left:6px; padding-right:6px">
    <tr>
        <td>
            @Html.Label("Delivery No")
        </td>
        <td>
                        @Html.DevExpress().TextBox(
                        settings =>
                        {
                            settings.Name = "DeliveryNoAdd";
                            settings.Text = Model.DeliverNo;
                            settings.Width = Unit.Pixel(120);
                            settings.Enabled = true;
                            settings.ReadOnly = true;
                            settings.ControlStyle.ForeColor = System.Drawing.Color.Black;
                            settings.ControlStyle.BackColor = System.Drawing.Color.Yellow;
                            settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                            settings.ControlStyle.Font.Bold = true;
                        }).GetHtml()
        </td>
    </tr>

    <tr>
        <td>
            @Html.Label("Version")
        </td>
        <td>
            @Html.DevExpress().TextBox(
            settings =>
            {
                settings.Name = "txtRevisionNoAdditional";
                settings.Text = Model.RevisionNo.ToString();                                
                settings.Width = Unit.Pixel(120);
                settings.ReadOnly = true;
                settings.ControlStyle.ForeColor = System.Drawing.Color.Black;
                settings.ControlStyle.BackColor = System.Drawing.Color.FromArgb(0xEC, 0xE6, 0xE6);
                settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                settings.ControlStyle.Font.Bold = true;
            }).GetHtml()
        </td>
    </tr>

    <tr>
        <td style="width:100%;" >
            @Html.DevExpress().Label(
                edtSettings =>
                {
                    edtSettings.ControlStyle.CssClass = "label";
                    edtSettings.Text = "Logistic Partner<b style=\"color:red;\">*</b>";
                    edtSettings.EncodeHtml = false;
                }).GetHtml()
        </td>
        <td>
            @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "txtLPAdd";
                    settings.Text = Model.LogisticPartner;
                    settings.Width = Unit.Pixel(120);
                    settings.ReadOnly = true;
                    settings.ControlStyle.ForeColor = System.Drawing.Color.Black;
                    settings.ControlStyle.BackColor = System.Drawing.Color.FromArgb(0xEC, 0xE6, 0xE6);
                    settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                }
            ).GetHtml()
            <div id="divgrid" style="display:none;">
                @Html.Common().DevExpress().GridLookup(
                    s =>
                    {
                        s.Name = "grlLPAdd";
                        s.GridProperties.KeyFieldName = "LPCode";
                        s.Width = Unit.Pixel(120);
                        s.GridProperties.CallbackRouteValues = new { Controller = "DCLInquiry", Action = "LPPartialAdd" };
                        s.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;
                        s.GridProperties.Columns.Add(c =>
                        {
                            c.Name = "LPCode";
                            c.FieldName = "LPCode";
                            c.Caption = "LP Code";
                            c.Width = Unit.Pixel(120);
                            c.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                        });
                        s.GridProperties.Columns.Add(c =>
                        {
                            c.Name = "LPName";
                            c.FieldName = "LPName";
                            c.Caption = "LP Name";
                        });
                    }
                ).Bind(ViewData["LogisticPartnerData"]).GetHtml()
            </div>
        </td>     
    </tr>
    <tr>
        <td>
            @Html.Label("PickUp Date")
        </td>
        <td>
                        @Html.DevExpress().TextBox(
                        settings =>
                        {
                            settings.Name = "PickUpDateAdd";
                            settings.Text = Model.PickUpDate;
                            settings.Width = Unit.Pixel(120);
                            settings.ReadOnly = true;
                            settings.ControlStyle.ForeColor = System.Drawing.Color.Black;
                            settings.ControlStyle.BackColor = System.Drawing.Color.FromArgb(0xEC, 0xE6, 0xE6);
                            settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                        }).GetHtml()
        </td>
    </tr>
    <tr>
        <td>
            @Html.Label("Route - Rate")
        </td>
        <td>
                        @Html.DevExpress().TextBox(
                        settings =>
                        {
                            settings.Name = "RouteRateAdd";
                            settings.Text = Model.RouteRate;
                            settings.Width = Unit.Pixel(120);
                            settings.ReadOnly = true;
                            settings.ControlStyle.ForeColor = System.Drawing.Color.Black;
                            settings.ControlStyle.BackColor = System.Drawing.Color.FromArgb(0xEC, 0xE6, 0xE6);
                            settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                        }).GetHtml()
        </td>
    </tr>
   
   <tr>
        <td>
            @Html.Label("Arrival at TMMIN")
        </td>
        <td>
                        @Html.DevExpress().TextBox(
                        settings =>
                        {
                            settings.Name = "ArrivalAtAdditional";
                            settings.Text = Model.ArrivalAt;
                            settings.Width = Unit.Pixel(120);
                            settings.ReadOnly = true;
                            settings.ControlStyle.ForeColor = System.Drawing.Color.Black;
                            settings.ControlStyle.BackColor = System.Drawing.Color.FromArgb(0xEC, 0xE6, 0xE6);
                            settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                        }).GetHtml()
        </td>
    </tr>
  
</table>

<table border="0" style="width:100%; padding-left:4px; padding-right:4px; padding-top:4px;">
    <tr>
        <td align="right">
            @Html.DevExpress().Button(
                settings =>
                {
                    settings.ClientVisible = false;
                    settings.EncodeHtml = false;
                    settings.Name = "btnSubmitDetailAdd";
                    settings.Text = "Submit";
                    settings.Width = 80;
                    settings.UseSubmitBehavior = true;
                    settings.ClientSideEvents.Click = "SubmitAddAll";
                }).GetHtml()           
        </td>

        <td  align="center">
                @Html.DevExpress().Button(
                settings =>
                {
                    settings.ClientVisible = false;
                    settings.EncodeHtml = false;
                    settings.Name = "btnCancelAdd";
                    settings.Text = "Cancel";
                    settings.Width = 80;
                    settings.UseSubmitBehavior = true;
                    settings.ClientSideEvents.Click = "CancelAddAll";
                }).GetHtml()            
        </td>

        <td  align="right">
@*        @Html.DevExpress().Button(
            settings =>
            {
                settings.EncodeHtml = false;
                settings.Name = "btnEditAdd";
                settings.Text = "Edit";
                settings.Width = 80;
                settings.ClientSideEvents.Click = "EditAddAll";
                settings.ClientSideEvents.Init = "initEditButtonAdd";
            }).GetHtml()   *@         
        </td>
    </tr>
</table>
